Subject: Re: [patch v1.2.34] WAN: merge driver retina

From: Jeff Garzik <[email-masked]>
Date: Thu, 16 Oct 2008 05:34:08 -0400

Matti Linnanvuori wrote:
> 2008/9/14 Jeff Garzik <[email-masked]>:
>> Changes look good, but do not apply to the 'retina' branch.  Also, the
>> virt_to_bus/virt_to_phys stuff should be replaced with DMA mapping API
>> usage.
> 
> Actually there is one call of virt_to_phys in the patch I sent.
> I don't know any way to replace virt_to_phys and still use remap_pfn_range.
> If all architectures support virt_to_phys, I see no reason to replace it with
> something else. The driver is legacy.

We do not merge new drivers that use deprecated APIs.

The whole point of a deprecated API is that you wish to remove it 
eventually.

	Jeff